import React, { Component } from 'react';
import { InputNumber } from 'antd';
import styles from './styles.less';

export default class extends Component {
    state = {
        value: this.props.value,
    };

    componentDidMount() {
        this.setState({
            value: this.props.value,
        });
    }

    componentWillReceiveProps(nextProps) {
        if (JSON.stringify(nextProps.value) !== JSON.stringify(this.props.value)) {
            this.setState({ value: nextProps.value });
        }
    }

    onChange = (value) => {
        this.setState({
            value,
        });
    };
    onBlur = (e) => {
        const { onChange } = this.props;
        onChange(e.target.value, true);
    };

    render() {
        const { value } = this.state;
        return (
            <div className={styles.container}>
                <InputNumber {...this.props} onChange={this.onChange} onBlur={this.onBlur} value={value} />
            </div>
        );
    }
}
